Bug 567733 - Review Request: marave - A Simple text editor
Summary: Review Request: marave - A Simple text editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Janssen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-23 19:35 UTC by Rex Dieter
Modified: 2016-08-14 16:29 UTC (History)
3 users (show)

Fixed In Version: marave-0.7-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-03 01:56:25 UTC
thomasj: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2010-02-23 19:35:27 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/marave/marave.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/marave/marave-0.6-1.fc12.src.rpm
Description:
Marave is a text editor whose goal is to help you focus on writing.

It's inspired by ommwriter, Darkroom and many other "simple" text
editors, with a few twists.

Comment 1 Rex Dieter 2010-02-23 19:39:05 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2009780

$ rpmlint *.rpm noarch/*.rpm
marave.src: W: spelling-error %description -l en_US ommwriter -> copywriter, songwriter, ghostwriter
marave.src: W: non-standard-group Unspecified
marave.src: W: invalid-url URL: http://marave.googlecode.com/ IncompleteRead(0 bytes read)
marave.src:9: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 3)
marave.src: W: invalid-url Source0: http://marave.googlecode.com/files/marave-0.6.tar.gz HTTP Error 404: Not Found
marave.noarch: W: spelling-error %description -l en_US ommwriter -> copywriter, songwriter, ghostwriter
marave.noarch: W: non-standard-group Unspecified
marave.noarch: W: invalid-url URL: http://marave.googlecode.com/ IncompleteRead(0 bytes read)
marave.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/marave/spelltextedit.py 0644 /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 8 warnings.

Not sure what's up with the Url/Source warnings, they work ok for me

Comment 2 Rex Dieter 2010-02-25 15:29:03 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/marave/marave.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/marave/marave-0.7-1.fc12.src.rpm


%changelog
* Thu Feb 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.7-1
- marave-0.7

Comment 3 Thomas Janssen 2010-02-25 16:47:47 UTC
XX - Package meets naming and packaging guidelines

http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files                                
says: For new packages, do not apply a vendor tag to desktop files.

OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
1bb038efb7a9847697bdbf671feb7f6e  marave-0.7.tar.gz
NN - Package needs ExcludeArch
OK - BuildRequires correct
NN - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
has: 
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
OK - Package is code or permissible content.
NN - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

NN - Headers/static libs in -devel subpackage.
NN - Spec has needed ldconfig in post and postun
NN - .pc files in -devel subpackage/requires pkgconfig
NN - .so files in -devel subpackage.
NN - -devel package Requires: %{name} = %{version}-%{release}
NN - .la files are removed.

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
XX - No rpmlint output.

marave.spec:9: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 3)

Well, yeah

marave.spec: W: invalid-url Source0: http://marave.googlecode.com/files/marave-0.7.tar.gz HTTP Error 404: Not Found

spectool -g gets the source. No idea what's wrong there.

marave.src: W: spelling-error %description -l en_US ommwriter -> copywriter, songwriter, ghostwriter

Bogus, can be ignored.

marave.src: W: non-standard-group Unspecified

It's missing the Group tag in spec file.

marave.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/marave/editor/spelltextedit.py 0644 /usr/bin/env

The file contains a shebang. Is that meant to have one?

2 packages and 1 specfiles checked; 1 errors, 10 warnings.


OK - final provides and requires are sane:
                                                                                                                                                                                                                            
SHOULD Items:                                                                                                                                                                                                               
                                                                                                                                                                                                                            
OK - Should build in mock.                                                                                                                                                                                                     
                                                                                                                                                                       OK - Should function as described.                                                                                                                                                                                             
OK - Should have sane scriptlets.                                                                                                                                                                                              
NN - Should have subpackages require base package with fully versioned depend.                                                                                                                                                 
OK - Should have dist tag                                                                                                                                                                                                      
OK - Should package latest version

Comment 4 Rex Dieter 2010-02-25 17:43:06 UTC
/usr/lib/python2.6/site-packages/marave/editor/spelltextedit.py
Looks like a standalone widget, so should be kosher as-is.
(It has been argued packages should be patched to use
#!/usr/bin/python
instead, but it's a contentious issue, and is why it's not in the python guidelines yet

Otherwise, fixed up the other cosmetic items,
 
Spec URL: http://rdieter.fedorapeople.org/rpms/marave/marave.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/marave/marave-0.7-2.fc12.src.rpm

%changelog
* Thu Feb 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.7-2
- fix whitespace
- Group: Applications/Editors

Comment 5 Thomas Janssen 2010-02-25 18:06:13 UTC
(In reply to comment #4)
> /usr/lib/python2.6/site-packages/marave/editor/spelltextedit.py
> Looks like a standalone widget, so should be kosher as-is.
> (It has been argued packages should be patched to use
> #!/usr/bin/python
> instead, but it's a contentious issue, and is why it's not in the python
> guidelines yet

Hm.. Ok.
 
> Otherwise, fixed up the other cosmetic items,
> 
> Spec URL: http://rdieter.fedorapeople.org/rpms/marave/marave.spec
> SRPM URL: http://rdieter.fedorapeople.org/rpms/marave/marave-0.7-2.fc12.src.rpm
> 
> %changelog
> * Thu Feb 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.7-2
> - fix whitespace
> - Group: Applications/Editors    

APPROVED

Comment 6 Rex Dieter 2010-02-25 18:39:40 UTC
New Package CVS Request
=======================
Package Name: marave
Short Description: A simple text editor
Owners: rdieter
Branches: F-11 F-12
InitialCC:

Comment 7 Rex Dieter 2010-02-25 18:47:14 UTC
New Package CVS Request
=======================
Package Name: marave
Short Description: A simple text editor
Owners: rdieter
Branches: F-11 F-12 F-13
InitialCC:

Comment 8 Jason Tibbitts 2010-02-25 18:52:02 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-02-26 16:13:50 UTC
marave-0.7-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/marave-0.7-3.fc13

Comment 10 Fedora Update System 2010-02-26 16:14:31 UTC
marave-0.7-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/marave-0.7-3.fc12

Comment 11 Fedora Update System 2010-02-26 16:29:32 UTC
marave-0.7-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/marave-0.7-3.fc11

Comment 12 Fedora Update System 2010-02-27 12:59:06 UTC
marave-0.7-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update marave'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3104

Comment 13 Fedora Update System 2010-03-02 01:05:25 UTC
marave-0.7-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update marave'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-3290

Comment 14 Fedora Update System 2010-03-02 01:05:50 UTC
marave-0.7-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update marave'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3296

Comment 15 Fedora Update System 2010-03-03 01:56:20 UTC
marave-0.7-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-03-12 04:26:29 UTC
marave-0.7-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-03-12 04:30:00 UTC
marave-0.7-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.